> ## Documentation Index
> Fetch the complete documentation index at: https://docs.reqlick.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve analytics

> Retrieve link analytics for the authenticated workspace.



## OpenAPI

````yaml GET /links/{id}/stats
openapi: 3.0.0
info:
  title: Reqlick API
  version: 1.0.0
  description: Reqlick API Documentation
servers:
  - url: https://api.reqlick.com
security:
  - bearerAuth: []
tags:
  - name: Documents
    description: Documents management
  - name: Domains
    description: Domains management
  - name: GoogleAuth
    description: Google Authentication
  - name: Links
    description: Links management
  - name: Payments
    description: Payments management
  - name: QRCodes
    description: QR Codes management
  - name: Resources
    description: Resources management
  - name: Subscriptions
    description: Subscription management
  - name: Users
    description: User management and authentication
  - name: Workspaces
    description: Workspaces management
paths:
  /links/{id}/stats:
    get:
      tags:
        - Links
      summary: Get Link Stats analytics
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
        - name: url
          in: query
          required: true
          schema:
            type: string
            format: string
        - name: startDate
          in: query
          required: false
          schema:
            type: string
            format: date
        - name: endDate
          in: query
          required: false
          schema:
            type: string
            format: date
      responses:
        '200':
          description: Successfully retrieved link stats analytics
          content:
            application/json:
              schema:
                type: object
                properties:
                  views:
                    type: array
                    items:
                      type: object
                      properties:
                        _id:
                          type: string
                        linkId:
                          type: string
                        projectId:
                          type: string
                        viewedAt:
                          type: string
                          format: date-time
                        isBot:
                          type: boolean
                        projectDetails:
                          type: object
                          properties:
                            _id:
                              type: string
                            name:
                              type: string
                            url:
                              type: string
                            createdAt:
                              type: string
                              format: date-time
                            viewedAt:
                              type: string
                              format: date-time
                            updatedAt:
                              type: string
                              format: date-time
                            isArchived:
                              type: boolean
                            subscriptionId:
                              type: string
                            logo:
                              type: string
                        memberDetails:
                          type: object
                          properties:
                            _id:
                              type: string
                            userId:
                              type: string
                            role:
                              type: string
                            status:
                              type: string
                            projectId:
                              type: string
                            createdAt:
                              type: string
                              format: date-time
                            updatedAt:
                              type: string
                              format: date-time
                        link:
                          type: object
                          properties:
                            _id:
                              type: string
                            url:
                              type: string
                            key:
                              type: string
                            expiresAt:
                              type: string
                              nullable: true
                            password:
                              type: string
                            proxy:
                              type: boolean
                            isFile:
                              type: boolean
                            isQR:
                              type: boolean
                            title:
                              type: string
                            description:
                              type: string
                            image:
                              type: string
                            createdAt:
                              type: string
                              format: date-time
                            updatedAt:
                              type: string
                              format: date-time
                            projectId:
                              type: string
                            isPublic:
                              type: boolean
                            isActive:
                              type: boolean
                            isArchived:
                              type: boolean
                            isRecord:
                              type: boolean
                            domain:
                              type: string
                            ios:
                              type: string
                              nullable: true
                            android:
                              type: string
                              nullable: true
                        viewData:
                          type: object
                          properties:
                            _id:
                              type: string
                            viewId:
                              type: string
                            h_userAgent:
                              type: string
                            h_referer:
                              type: string
                            h_acceptLanguage:
                              type: string
                            h_sec_ch_ua_platform:
                              type: string
                            sessionId:
                              type: string
                            b_screen:
                              type: object
                            b_screen_width:
                              type: integer
                            b_screen_height:
                              type: integer
                            b_navigator:
                              type: object
                            b_history:
                              type: object
                            b_hostname:
                              type: string
                            b_pathname:
                              type: string
                            b_language:
                              type: string
                            b_search:
                              type: string
                            b_currentScript:
                              type: string
                              nullable: true
                            b_geo:
                              type: object
                              properties:
                                b_isLocated:
                                  type: boolean
                                b_error:
                                  type: object
                            newProjectVisitor:
                              type: boolean
                            newLinkVisitor:
                              type: boolean
                            v_start_time:
                              type: string
                              format: date-time
                            updatedAt:
                              type: string
                              format: date-time
                            isAd:
                              type: boolean
                            device:
                              type: string
                            screenResolution:
                              type: string
                            deviceVendor:
                              type: string
                            browser:
                              type: string
                            browserEngine:
                              type: string
                            os:
                              type: string
                            source:
                              type: string
                            country:
                              type: string
                            countryCode:
                              type: string
                            region:
                              type: string
                            regionCode:
                              type: string
                            city:
                              type: string
                            lang:
                              type: string
                            referrer:
                              type: string
                            lat:
                              type: number
                              format: float
                            long:
                              type: number
                              format: float
                            v_end_time:
                              type: string
                              format: date-time
                  uniqueVisitorCount:
                    type: integer
                  averageVisitTime:
                    type: string
                  links:
                    type: array
                    items:
                      type: object
                      properties:
                        name:
                          type: string
                        value:
                          type: integer
                  linksMax:
                    type: integer
                  all:
                    type: array
                    items:
                      type: object
                      properties:
                        name:
                          type: string
                        value:
                          type: integer
                  allMax:
                    type: integer
                  browsersMax:
                    type: integer
                  osMax:
                    type: integer
                  devicesMax:
                    type: integer
                  deviceTypeMax:
                    type: integer
                  browsers:
                    type: array
                    items:
                      type: object
                      properties:
                        name:
                          type: string
                        value:
                          type: integer
                  engines:
                    type: array
                    items:
                      type: object
                      properties:
                        name:
                          type: string
                        value:
                          type: integer
                  os:
                    type: array
                    items:
                      type: object
                      properties:
                        name:
                          type: string
                        value:
                          type: integer
                  devices:
                    type: array
                    items:
                      type: object
                      properties:
                        name:
                          type: string
                        value:
                          type: integer
                  deviceType:
                    type: array
                    items:
                      type: object
                      properties:
                        name:
                          type: string
                        value:
                          type: integer
                  usersIp:
                    type: array
                    items:
                      type: object
                      properties:
                        name:
                          type: string
                        value:
                          type: integer
                  languages:
                    type: array
                    items:
                      type: object
                      properties:
                        name:
                          type: string
                        value:
                          type: integer
                  languagesMax:
                    type: integer
                  countries:
                    type: array
                    items:
                      type: object
                      properties:
                        name:
                          type: string
                        shortCode:
                          type: string
                        value:
                          type: integer
                  regions:
                    type: array
                    items:
                      type: object
                      properties:
                        country:
                          type: string
                        shortCode:
                          type: string
                        name:
                          type: string
                        value:
                          type: integer
                  cities:
                    type: array
                    items:
                      type: object
                      properties:
                        country:
                          type: string
                        shortCode:
                          type: string
                        name:
                          type: string
                        value:
                          type: integer
                  internetProviders:
                    type: array
                    items:
                      type: object
                      properties: {}
                  markersData:
                    type: array
                    items:
                      type: object
                      properties:
                        idx:
                          type: integer
                        name:
                          type: string
                        latitude:
                          type: number
                          format: float
                        longitude:
                          type: number
                          format: float
        '401':
          description: Authentication Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Authentication Error
                  feedback:
                    type: string
                    example: You are unauthenticated!
        '500':
          description: Internal server error
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````